On Tue, 2009-12-22 at 00:06 +0100, Gilles Chanteperdrix wrote:
> Philippe Gerum wrote:
> > On Mon, 2009-12-21 at 09:58 +0100, Jan Kiszka wrote:
> >> Gilles Chanteperdrix wrote:
> >>> Jan Kiszka wrote:
> >>>> Hi Philippe,
> >>>>
> >>>> as adeos-ipipe-2.4.35.5-i386-1.3-05.patch and
> >>>> adeos-ipipe-2.6.29.5-x86-2.4-02.patch are no longer up to date /wrt to
> >>>> latest i-pipe fixes, I would suggest to remove them for 2.5-final.
> >>>> Avoids that people trap into known issues.
> >>> What latest fixes? Are they expected to oops or something?
> >> 2.6.29 on x86-64: definitely (irq stack corruption). 32 bits and 2.4.35
> >> are lacking the halt fix (I bet other arch beyond x86 that use a
> >> hlt-like idle do so as well). It's not that they aren't fixable, it's
> >> just the question if we should bother anymore.
> >>
> > 
> > Ack.
> > 
> > I don't even know whether anybody ever tried to run Xenomai over 2.4/x86
> > anyway, and I don't think this would ever make sense to do so today, so
> > 2.4.35 will be removed.
> > 
> > 2.6.29.4 will go away as well, since 2.6.30.8 and 2.6.31.1 have been
> > fixed, and hopefully, 2.6.33/86 will be supported in a foreseeable
> > future.
> > 
> > In any case, the README in the patches/ directory clearly states 
> > that adventurous people may try other options available from
> > http://download.gna.org/adeos/patches/
> 
> Ok. However, if we want to check that Xenomai 2.5 still compiles with
> linux 2.4 base patches, can we keep at least one 2.4 patch in the
> repository?

2.4.25-ppc is here to stay.

> 


-- 
Philippe.



_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to